/*******************************************************************************
    Cannavo' Michele (Mikelius)
    v.1.0.0.0 del 13/04/2017
    Rilasciata con Licenza GNU GPLv3.0
    COPYRIGHT (C) 2017 Cannavo' Michele

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include "elencoFilder.h"

// Testa se e' File o Cartella
MYRETURN isFolder( STCDATAF *file )
{
    if( (file->attrib & _A_SUBDIR) && (file->name[0] != '.')  )
        return SUCCESS;
    else
        return INSUCCESS;
}

// CICLA FINO A TROVARE UNA CARTELLA O LA FINE DEI FILE
BOOL findNextDir( long hFilder, STCDATAF *pStcData )
{
    BOOL fileFound = MYFALSE;

    do{
         if(_findnext( hFilder, pStcData ))
            fileFound = MYFALSE;
        else
            fileFound = MYTRUE;
    } while( fileFound && isFolder( pStcData ) );

    return(fileFound);
}

// TOROVA LA PRIMA CARTLLA SE CI SONO CARTELLE
long findFirstDir( char* pattern, STCDATAF *pStcData )
{
    BOOL fileFound = MYFALSE;

    long hFilder = _findfirst( pattern, pStcData );

    if( hFilder != -1L ){
        fileFound = !isFolder( pStcData );

        if( !fileFound )
            fileFound = findNextDir( hFilder, pStcData );

        if( !fileFound ){
            _findclose( hFilder );
            hFilder = -1L;
        }
    }
    return(hFilder);
}