/*******************************************************************************
    Cannavo' Michele (Mikelius)
    v.1.0.0.0 del 13/04/2017
    Rilasciata con Licenza GNU GPLv3.0
    COPYRIGHT (C) 2017 Cannavo' Michele

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdlib.h>
#include "elencoFilder.h"

// Prefunzione di impostazione per il motore di ricerca FILDER
MYRETURN  searchF( const char* path, BOOL recSearch, FILE** pf )
{
    char *CurrDir = " "; // Stringa per la cartella corrente
    DIRDATA stcDataDir;  // Struttura per cartella e File

    if(mygetcwd( &CurrDir,_MAX_DIR ))  return FATALITY;
    if(mychdir( path )) return FATALITY;

    stcDataDir.levSubF = -1;
    stcDataDir.recSearch = recSearch;

    elencoFilder(&stcDataDir, pf);

    if(mychdir( CurrDir) ) return FATALITY;
    free( CurrDir );// Libera la memorria allocata con mygetcwd()

    return SUCCESS;
}