/*******************************************************************************
    Cannavo' Michele (Mikelius)
    elencoFilder.c v.1.0.0.0 del 13/04/2017
    Rilasciata con Licenza GNU GPLv3.0
    COPYRIGHT (C) 2017 Cannavo' Michele

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/


#include <stdio.h>
#include <io.h>
#include <stdlib.h>
#include <string.h>

#include "elencoFilder.h"

MYRETURN elencoFilder( DIRDATA* pStcData,FILE** pf )
{
    long handleF;           // HANDLE per cartelle e File
    char *nameFilder = "";  // Stringa per il path di cartelle e File
    listFILDER *start;

    char *listaFilder = (char*)calloc(_MAX_DIR,sizeof(char));

    if( mygetcwd( &nameFilder, _MAX_DIR ) ) return FATALITY;

     strcat_s( listaFilder, _MAX_DIR, nameFilder );
     strcat_s( listaFilder, _MAX_DIR, "\\Elenco Filder.txt" );

    pStcData->levSubF++;
    if( !pStcData->levSubF ){
        printf( "La cartella da setacciare e':\n" );
        printf( "%s\n", nameFilder );// Stampa su console
        printf( "I File e le cartelle presenti sono:\n\n" );
    }
    else{
            printf( "%s\n", nameFilder );// Stampa su console
    }
    fprintf(*pf,"%s\n",nameFilder );// Stampa su File.txt
    free( nameFilder ); // Era allocato con mygetcwd()

    handleF = _findfirst( "*.*", &pStcData->FindData );

    pStcData->fOk =(handleF != -1L)  ;

    while( pStcData->fOk ){
        pStcData->fIsDir = pStcData->FindData.attrib & _A_SUBDIR;

        if( !pStcData->fIsDir ||
            (!pStcData->recSearch && !isFolder( &pStcData->FindData )) )
        {
            if( mygetcwd( &nameFilder, _MAX_DIR ) ) return FATALITY;
            strcat_s( nameFilder, _MAX_DIR, "\\" );
            strcat_s( nameFilder, _MAX_DIR, pStcData->FindData.name );
            printf( "%s\n", nameFilder ); // Stampa su Console
            fprintf(*pf,"%s\n",nameFilder );// Stampa su File.txt
            free( nameFilder ); // Era allocato con mygetcwd()
        }
        pStcData->fOk = _findnext( handleF, &pStcData->FindData ) == 0 ? MYTRUE : MYFALSE;
    }

    if( handleF != -1L ){ _findclose( handleF ); }

    if( pStcData->recSearch ){
        handleF = findFirstDir( "*.*", &pStcData->FindData );
        pStcData->fOk = (handleF != -1L);

        while( pStcData->fOk ){
            if( mychdir( pStcData->FindData.name )) { return FATALITY; }

            else{
                elencoFilder( pStcData,pf );
                if( mychdir( ".." )) { return FATALITY; }
            }
            pStcData->fOk = findNextDir( handleF, &pStcData->FindData );
        }

        if( handleF != -1L ) { _findclose( handleF ); }
    }

    pStcData->levSubF--;
    return SUCCESS;
}